import {NgModule}     from '@angular/core';
import {RouterModule} from '@angular/router';

import {FreeGuard}              from '../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder}  from '../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {LearnHowComponent} from "./learn-how.component";
import {IsRouteEnabled} from "../openaireLibrary/error/isRouteEnabled.guard";

@NgModule({
  imports: [
    RouterModule.forChild([
     	{ path: '', component: LearnHowComponent, canActivate: [FreeGuard, IsRouteEnabled], canDeactivate: [PreviousRouteRecorder] }

    ])
  ]
})
export class LearnHowRoutingModule { }
