import {Injectable} from "@angular/core";
import {HttpClient} from "@angular/common/http";
import {BehaviorSubject, Observable} from "rxjs";
import {Indicator, Stakeholder} from "../utils/entities/stakeholder";
import {map} from "rxjs/operators";

@Injectable()
export class StakeholderService {

  constructor(private http: HttpClient) {
  }

  getStakeholder(alias: string): Observable<Stakeholder> {
    /*return this.http.get<any>('./assets/stakeholders.json').pipe(map(json => {
      let stakeholder = json.stakeholders.filter(stakeholder => stakeholder.alias === alias)[0];
      if (stakeholder) {
        stakeholder.topics = stakeholder.topics.filter(topic => topic.isActive && topic.isPublic);
        return stakeholder;
      } else {
        throw new HttpErrorResponse({
          error: {
            message: 'No Stakeholder has been found',
            status: 404
          }
        })
      }
    }));*/
    return new BehaviorSubject<Stakeholder>(Stakeholder.createECStakeholder()).asObservable();
  }
}
