import {NgModule}     from '@angular/core';
import {RouterModule} from '@angular/router';

import {FreeGuard}              from '../../openaireLibrary/login/freeGuard.guard';
import {PreviousRouteRecorder}  from '../../openaireLibrary/utils/piwik/previousRouteRecorder.guard';
import {LearnInDepthComponent} from "./learn-in-depth.component";
import {IsRouteEnabled} from "../../openaireLibrary/error/isRouteEnabled.guard";

@NgModule({
  imports: [
    RouterModule.forChild([
      { path: '', component: LearnInDepthComponent, canActivate: [FreeGuard, IsRouteEnabled], canDeactivate: [PreviousRouteRecorder] }

    ])
  ]
})
export class LearnInDepthRoutingModule { }
